<template>
  <v-toolbar
    app
    dense
  >
    <v-toolbar-side-icon @click="changeNavDrawer"></v-toolbar-side-icon>
    <v-toolbar-title class="headline">
      {{ appTitle }}
    </v-toolbar-title>
    <v-spacer></v-spacer>
    <v-toolbar-items>
      <LocaleChanger/>
    </v-toolbar-items>
  </v-toolbar>
</template>

<script>
  import { mapGetters } from 'vuex'
  import LocaleChanger from '@/components/core/LocaleChanger'

  export default {
    name: 'CoreToolbar',
    components: {
      LocaleChanger
    },
    computed: {
      ...mapGetters(['appTitle', 'navDrawer'])
    },
    methods: {
      changeNavDrawer () {
        this.$store.commit('setNavDrawer', true)
      },
      userLogout () {
        this.$store.dispatch('userLogout')
      }
    }
  }
</script>
